Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231741 - firefox has strange font rendering on http://redhat.com.
Summary: firefox has strange font rendering on http://redhat.com.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-11 00:50 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 01:18:58 UTC


Attachments (Terms of Use)
strange font rendering (deleted)
2007-03-11 00:50 UTC, sangu
no flags Details
strange font rendering (deleted)
2007-03-11 08:13 UTC, sangu
no flags Details

Description sangu 2007-03-11 00:50:48 UTC
Description of problem:
After installing freetype-2.3.2-1.fc7, firefox has strange font rendering on
http://redhat.com .
Version-Release number of selected component (if applicable):
2.3.2-1.fc7

How reproducible:
always

Steps to Reproduce:
1. visite redhat.com with firefox
2.
3.
  
Actual results:


Expected results:


Additional info:
firefox-2.0.0.2-1.fc7
pango-1.16.0-1.fc7

Comment 1 sangu 2007-03-11 00:50:48 UTC
Created attachment 149784 [details]
strange font rendering

Comment 2 sangu 2007-03-11 08:13:26 UTC
Created attachment 149788 [details]
strange font rendering

When enable bytecode_interpreter and   subpixel_rendering, this problem
happens.

Comment 3 Behdad Esfahbod 2007-03-12 23:45:42 UTC
So, the first shot happens with default rawhide freetype?

Comment 4 sangu 2007-03-13 00:35:15 UTC
Sorry!
First shot uses package with bytecode_interpreter and subpixel_rendring.

Comment 5 Behdad Esfahbod 2007-03-13 01:18:58 UTC
Ok then.  This is a known regression in freetype 2.3.2.  Upstream knows about it
and is working on a new release.  I'll push it in rawhide when it's out.


Note You need to log in before you can comment on or make changes to this bug.